# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Coro.pm) perl(Coro/AnyEvent.pm) perl(Coro/LWP.pm) perl(Coro/Socket.pm) perl(Coro/Timer.pm) perl(DBI.pm) perl(File/Slurp.pm) perl(Template.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Net-Whois-Raw
%define upstream_version 2.99021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_2

Summary:    Get Whois information for domains
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(Encode.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Temp.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(HTTP/Headers.pm)
BuildRequires: perl(HTTP/Request.pm)
BuildRequires: perl(IO/Socket/IP.pm)
BuildRequires: perl(LWP/UserAgent.pm)
BuildRequires: perl(Net/IDN/Punycode.pm)
BuildRequires: perl(Regexp/IPv6.pm)
BuildRequires: perl(Socket.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/RequiresInternet.pm)
BuildRequires: perl(URI/URL.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(utf8.pm)
BuildRequires: perl(warnings.pm)
BuildArch:  noarch

%global __requires_exclude perl\\(Win32API::Registry\\)
Source44: import.info
%description
Net::Whois::Raw queries WHOIS servers about domains. The module supports
recursive WHOIS queries. Also queries via HTTP is supported for some TLDs.

Setting the variables $OMIT_MSG and $CHECK_FAIL will match the results
against a set of known patterns. The first flag will try to omit the
copyright message/disclaimer, the second will attempt to determine if the
search failed and return undef in such a case.

*IMPORTANT*: these checks merely use pattern matching; they will work on
several servers but certainly not on all of them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

# Cancelling tests because they require external network to be accessed.
# %%check
# %make test

%install
%makeinstall_std

%files
%doc COPYRIGHT Changes LICENSE META.json META.yml  README
%{_bindir}/pwhois
%{_mandir}/man1/*
%{perl_vendor_privlib}/*


%changelog
* Fri Mar 15 2019 Igor Vlasenko <viy@altlinux.ru> 2.99021-alt1_2
- update by mgaimport

* Mon Dec 10 2018 Igor Vlasenko <viy@altlinux.ru> 2.99021-alt1_1
- update by mgaimport

* Sat Oct 27 2018 Igor Vlasenko <viy@altlinux.ru> 2.99020-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.99018-alt1_2
- update by mgaimport

* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 2.99018-alt1_1
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 2.99016-alt1_1
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 2.99015-alt1_1
- update by mgaimport

* Fri May 18 2018 Igor Vlasenko <viy@altlinux.ru> 2.99014-alt1_1
- update by mgaimport

* Mon Feb 19 2018 Igor Vlasenko <viy@altlinux.ru> 2.99013-alt1_1
- update by mgaimport

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 2.99010-alt1_2
- update by mgaimport

* Sat Jun 04 2016 Igor Vlasenko <viy@altlinux.ru> 2.96-alt1_1
- update by mgaimport

* Sat May 14 2016 Igor Vlasenko <viy@altlinux.ru> 2.94-alt1_1
- update by mgaimport

* Wed Feb 24 2016 Igor Vlasenko <viy@altlinux.ru> 2.91-alt1_2
- update by mgaimport

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 2.91-alt1_1
- update by mgaimport

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 2.87-alt1_1
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 2.76-alt2_4
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 2.76-alt2_1
- rebuild to get rid of unmets

* Sat Aug 30 2014 Igor Vlasenko <viy@altlinux.ru> 2.76-alt1_1
- update by mgaimport

* Wed Jun 25 2014 Igor Vlasenko <viy@altlinux.ru> 2.70-alt1_1
- update by mgaimport

* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 2.63-alt1_1
- update by mgaimport

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 2.60-alt1_1
- update by mgaimport

* Thu Feb 20 2014 Igor Vlasenko <viy@altlinux.ru> 2.51-alt1_1
- update by mgaimport

* Thu Nov 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.48-alt1_2
- mga update

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 2.48-alt1_1
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 2.46-alt2_1
- rebuild to get rid of unmets

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 2.46-alt1_1
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 2.43-alt1_1
- converted for ALT Linux by srpmconvert tools

